Subject: EN's NN server

From: "R.E. (Robert) Moore (254-4436)" <[email-masked]>
Date: Wed, 21 Feb 96 07:49:41 EST

Derek,

> Can anyone please help me with a couple of questions
> about the APPN MIB for End Nodes?
>
> I would have expected to be able to ask an EN's
> MIB the identity of its NN server.  The only place
> I can see this information in the current (6611)
> MIB is in ibmappnDirTable, but the comments say
> that is implemented in NNs only.  That creates
> rather a chicken-and-egg problem: If I knew
> where the NN server was I could ask it ...
>
> Second issue, assuming the first is solved, is
> providing the state of the CP-CP session to the
> NN server.  The ibmappnDirTable entry wouldn't
> solve that.

> Thanking you in advance,
>   Derek Bolton

The following objects appear in appn-mib-03.txt, which is currently out
for electronic AP review.  The first of these answers your first question
directly.  The second object is tabular, but once you know the NNS, it
shouldn't be too hard to find the correct row.

appnNodeEnNnServer OBJECT-TYPE
      SYNTAX DisplayString (SIZE (0 | 3..17))
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
          "The fully qualified name of the current NN server for this end
          node.  Format is NetId.CpName.  The value is a zero-length
          string when there is no active NN server."

      ::= { appnEnUniqueCaps 2 }

appnLocalTgCpCpSession OBJECT-TYPE
      SYNTAX INTEGER {
                     supportedUnknownStatus(1),
                     supportedActive(2),
                     notSupported(3),
                     supportedNotActive(4)
                     }
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
          "Indicates whether CP-CP sessions are supported and active on
          this TG.  Some nodes in the network are not able to
          differentiate support and status of CP-CP sessions, and thus
          may report the 'supportedUnknownStatus' value."

      ::= { appnLocalTgEntry 8 }

Regards,
Bob Moore
IBM Network Management Architecture